directory-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Emmanuel L├ęcharny <elecha...@gmail.com>
Subject Studio build issue
Date Fri, 31 Aug 2018 04:21:59 GMT
Hi Stefan

I'm a bit stuck here...

I ave tried to build Studio with Apache LDAP API 2.0.0.AM2-SNAPSHOT, and
the build failed with this error:

mvn clean install
Java HotSpot(TM) 64-Bit Server VM warning: ignoring option
MaxPermSize=256M; support was removed in 8.0
[INFO] Scanning for projects...
[INFO] Computing target platform for MavenProject:
org.apache.directory.studio:org.apache.directory.studio.aciitemeditor:2.0.0-SNAPSHOT
@ /Users/elecharny/apacheds/directory-studio/plugins/aciitemeditor/pom.xml
[INFO] Adding repository
file:///Users/elecharny/apacheds/directory-studio/eclipse-trgt-platform/target/repository
[ERROR] Failed to resolve target definition
/Users/elecharny/apacheds/directory-studio/eclipse-trgt-platform/org.apache.directory.studio.eclipse-trgt-platform.target:
Could not find "org.apache.commons.pool2/2.6.0" in the repositories of
the current location -> [Help 1]
[ERROR]
[ERROR] To see the full stack trace of the errors, re-run Maven with the
-e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR]
[ERROR] For more information about the errors and possible solutions,
please read the following articles:
[ERROR] [Help 1]
http://cwiki.apache.org/confluence/display/MAVEN/MavenExecutionException


I have updated the pom.xml file with those changes :

$ git diff pom.xml
diff --git a/pom.xml b/pom.xml
index 1527bfb96..733d980bd 100644
--- a/pom.xml
+++ b/pom.xml
@@ -86,9 +86,9 @@

<org.apache.commons.io.bundleversion>2.6.0</org.apache.commons.io.bundleversion>
     <org.apache.commons.lang.version>2.6</org.apache.commons.lang.version>

<org.apache.commons.lang.bundleversion>2.6.0</org.apache.commons.lang.bundleversion>
-
<org.apache.commons.pool.version>2.5.0</org.apache.commons.pool.version>
-
<org.apache.commons.pool.bundleversion>2.5.0</org.apache.commons.pool.bundleversion>
-
<org.apache.directory.api.version>2.0.0.AM1</org.apache.directory.api.version>
+
<org.apache.commons.pool.version>2.6.0</org.apache.commons.pool.version>
+
<org.apache.commons.pool.bundleversion>2.6.0</org.apache.commons.pool.bundleversion>
+
<org.apache.directory.api.version>2.0.0.AM2-SNAPSHOT</org.apache.directory.api.version>

<org.apache.directory.server.version>2.0.0.AM25</org.apache.directory.server.version>
     <org.apache.mina.version>2.0.18</org.apache.mina.version>
     <org.apache.mina.bundleversion>2.0.18</org.apache.mina.bundleversion>


I also doomed my p2 repository accordingly to the README, just in case.

The change is that in 2.0.0.AM2, we are using commons pool2 version
2.6.0 instead of 2.5.0.

Am I missing some step ?

Thanks !
-- 
Emmanuel Lecharny

Symas.com
directory.apache.org


Mime
View raw message